Published on [Permalink]

@simonwoods Exactly. Apple confirms that the SE is compatible at the bottom of this page.

Reply by email